Bug 443220

Summary: hal won't create device for third USB volume
Product: [Fedora] Fedora Reporter: Michael de Mare <mikey>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: davidz, pertusus
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:46:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dmesg, lsusb none

Description Michael de Mare 2008-04-19 08:16:50 EDT
Description of problem:

I am trying to configure my Fedora 8 system to automatically back up the 
selected directory to the selected volume on a nightly basis.  Toward this 
goal, I wrote a program to select a filesystem based on a tag on the 
solid-state device for use in my backup script.  This worked fine when I was 
only making one nightly backup.  But when I tried to add a third solid-state 
drive to my system, it did not create a device for it and, consequently, I 
could not mount it.
Comment 1 Michael de Mare 2008-04-19 08:41:37 EDT
Fixed with MAKEDEV
Comment 2 Michael de Mare 2008-04-19 09:21:57 EDT
The additional USB drives are not attached to the new sd*1

Comment 3 David Zeuthen 2008-04-19 12:55:56 EDT
So hal does not create device nodes; this sounds more like a kernel / udev
problem. Suggest to include more information, for example dmesg output etc.
Comment 4 Michael de Mare 2008-04-19 16:02:25 EDT
Now all the devices are attached.  There seems to be an intermittent error, 
but I don't have any idea how to reproduce it.
Comment 5 Harald Hoyer 2008-04-21 03:03:01 EDT
dmesg, /var/log/messages, etc... more information please.
Comment 6 Michael de Mare 2008-04-21 08:15:42 EDT
After I created the devices with MAKEDEV, it didn't initially connect the usb
drives to them, but now it does.  I never rebooted the system.
Comment 7 Harald Hoyer 2008-04-21 08:36:18 EDT
which devices did you create

what is the output of 

# dmesg

and any relevant information in /var/log/messages?

what is the output of

# lsusb
Comment 8 Michael de Mare 2008-04-21 09:26:54 EDT
The devices that I created were /dev/sdd /dev/sde /dev/sdf.  The rest of the
information will have to wait until I get home.
Comment 9 Michael de Mare 2008-04-21 14:35:10 EDT
Created attachment 303185 [details]
dmesg, lsusb


This contains the output of dmesg and lsusb.  It is not necessary to comment on
the cooling problems in my system, I am aware of it.
Comment 10 Michael de Mare 2008-04-21 14:41:44 EDT
The lsusb got cut off.  Sorry.  Here it is in full.

[mikey@mikey-ws ~]$ /sbin/lsusb
Bus 001 Device 034: ID 13fe:1d00 Kingston Technology Company Inc. DataTraveler 
2.0 1GB/4GB Flash Drive
Bus 001 Device 001: ID 0000:0000
Bus 005 Device 002: ID 124a:168b AirVast
Bus 005 Device 001: ID 0000:0000
Bus 004 Device 020: ID 13fe:1d00 Kingston Technology Company Inc. DataTraveler 
2.0 1GB/4GB Flash Drive
Bus 004 Device 003: ID 13fe:1d00 Kingston Technology Company Inc. DataTraveler 
2.0 1GB/4GB Flash Drive
Bus 004 Device 002: ID 058f:9254 Alcor Micro Corp. Hub
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 003: ID 03f0:7604 Hewlett-Packard Deskjet 3940
Bus 002 Device 001: ID 0000:0000
Comment 11 Bug Zapper 2008-11-26 05:31:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 02:46:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.